Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# CosNotification::AdminPropertiesAdmin Interface Reference

Define the interface to manipulate the Admin properties of a Notification Service components. More...

`import "CosNotification.idl";`

Inheritance diagram for CosNotification::AdminPropertiesAdmin:

[legend]
List of all members.

## Public Methods
AdminProperties | get_admin ()
| Get the Admin properties.
void | set_admin (in AdminProperties admin) raises ( UnsupportedAdmin)
| Set the Admin properities.

## Detailed Description

Define the interface to manipulate the Admin properties of a Notification Service components.

Several Notification Service components have Admin properties, including the Event Channel, its ConsumerAdmin and SupplierAdmin objects as well as the proxies. This interface is used to control the Admin properties of each one of those components.

## Member Function Documentation

AdminProperties CosNotification::AdminPropertiesAdmin::get_admin | ( |  | ) |

| Get the Admin properties. The operation returns the properties set: At the level queried Not set at the level queried but set at a higher-level Not set at all but having a default value.

void CosNotification::AdminPropertiesAdmin::set_admin | ( | in AdminProperties | admin | ) | raises ( UnsupportedAdmin)

  | Set the Admin properities. Parameters:
  admin | The list of Admin properties requested
  Exceptions:
  UnsupportedAdmin | if the requested admin properties cannot be implemented or are invalid

The documentation for this interface was generated from the following file:

- CosNotification.idl